<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Console;

use App\Console\Commands\AnalyseDrugsCommand;
use App\Console\Commands\BindingsCommand;
use App\Console\Commands\ControllerCommand;
use App\Console\Commands\CriteriaCommand;
use App\Console\Commands\EntityCommand;
use App\Console\Commands\InitCourseCommand;
use App\Console\Commands\InitRecipelsCommand;
use App\Console\Commands\PresenterCommand;
use App\Console\Commands\RepositoryCommand;
use App\Console\Commands\TransformerCommand;
use App\Console\Commands\ValidatorCommand;
use Illuminate\Console\Scheduling\Schedule;
use Laravel\Lumen\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [
        RepositoryCommand::class,
        BindingsCommand::class,
        ControllerCommand::class,
        CriteriaCommand::class,
        EntityCommand::class,
        PresenterCommand::class,
        TransformerCommand::class,
        ValidatorCommand::class,
        InitRecipelsCommand::class,
        InitCourseCommand::class
    ];

    /**
     * Define the application's command schedule.
     *
     * @param \Illuminate\Console\Scheduling\Schedule $schedule
     */
    protected function schedule(Schedule $schedule)
    {
    }
}
