<?php

namespace App\Repositories\Criteria\Base;

use Carbon\Carbon;
use Illuminate\Http\Request;
use Prettus\Repository\Contracts\CriteriaInterface;
use Prettus\Repository\Contracts\RepositoryInterface;

/**
 * Class BannerCriteria.
 *
 * @package namespace App\Repositories\Criteria\Base;
 */
class BannerCriteria implements CriteriaInterface
{
    public function __construct(Request $request = null)
    {
        if (is_null($request)) {
            $this->request = \request();
        } else {
            $this->request = $request;
        }
    }

    /**
     * Apply criteria in query repository
     *
     * @param string $model
     * @param RepositoryInterface $repository
     *
     * @return mixed
     */
    public function apply($model, RepositoryInterface $repository)
    {
        if ($name = $this->request->get('name')) {
            $model = $model->where('name', 'like', "%{$name}%");
        }

        if (($status = $this->request->get('status', false)) !== false) {
            $model = $model->where('status', '=', $status);
        }

        if ($position = $this->request->get('position')) {
            $model = $model->where('position', '=', "{$position}");
        }

        if ($this->request->get('is_user', 0)) {
            $now = Carbon::now()->toDateTimeString();
            $model = $model->where('start_time', '<=', $now)->where('end_time', '>', $now);
        }
        $model = $model->orderByDesc('sort')->orderByDesc('id');
        return $model;
    }
}
