<?php

namespace App\Repositories\Eloquent\Course;

use App\Repositories\Criteria\Course\ChapterCriteria;
use App\Repositories\Presenters\Course\ChapterPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use App\Contracts\Repositories\Course\ChapterRepository;
use App\Repositories\Models\Course\Chapter;
use App\Repositories\Validators\Course\ChapterValidator;

/**
 * Class CourseChapterRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent;
 */
class ChapterRepositoryEloquent extends BaseRepository implements ChapterRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Chapter::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return ChapterValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(ChapterCriteria::class));
        $this->setPresenter(ChapterPresenter::class);
    }

}
