<?php

namespace App\Repositories\Eloquent\Inform;

use App\Repositories\Criteria\Inform\InformationCriteria;
use App\Repositories\Presenters\Inform\InformationPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use App\Contracts\Repositories\Inform\InformationRepository;
use App\Repositories\Models\Inform\Information;
use App\Repositories\Validators\Inform\InformationValidator;

/**
 * Class InformationRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\Inform;
 */
class InformationRepositoryEloquent extends BaseRepository implements InformationRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Information::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return InformationValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(InformationCriteria::class));
        $this->setPresenter(InformationPresenter::class);
    }

}
