<?php

namespace App\Repositories\Models\Note;

use App\Repositories\Models\Model;
use App\Repositories\Models\User\User;
use Prettus\Repository\Contracts\Transformable;
use Prettus\Repository\Traits\TransformableTrait;

/**
 * Class Comment.
 *
 * @package namespace App\Repositories\Models\Note;
 */
class Comment extends Model implements Transformable
{
    use TransformableTrait;

    protected $table = 'node_comments';

    protected $guarded = [];

    protected static function booted()
    {
        self::language();
    }

    public function user()
    {
        return $this->belongsTo(User::class)->select(['id', 'name', 'headimg']);
    }

    public function note()
    {
        return $this->belongsTo(Note::class);
    }

    public function comments()
    {
        return $this->hasMany(Comment::class, 'parent_id', 'id');
    }

}
