<?php

namespace App\Repositories\Transformers\CMS;

use App\Repositories\Enums\CMS\CategorySingleEnum;
use Carbon\Carbon;
use League\Fractal\TransformerAbstract;
use App\Repositories\Models\CMS\Category;

/**
 * Class CategoryTransformer.
 *
 * @package namespace App\Repositories\Transformers\CMS;
 */
class CategoryTransformer extends TransformerAbstract
{
    /**
     * Transform the Category entity.
     *
     * @param \App\Repositories\Models\CMS\Category $model
     *
     * @return array
     */
    public function transform(Category $model)
    {
        return [
            'id' => (int)$model->id,
            'name' => $model->name,
            'parent_id' => $model->parent_id,
            'key' => $model->key,
            'type' => $model->type,
            'parent_name' => $model->parent_name,
            'is_nav' => $model->is_nav,
            'is_single' => $model->is_single,
            'is_single_text' => CategorySingleEnum::getDescription($model->is_single),
            'link' => $model->link,
            'sort' => $model->sort,
            'status' => $model->status,
//            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }
}
