<?php

namespace App\Repositories\Transformers\Inform;

use App\Repositories\Models\Base\Role;
use Carbon\Carbon;
use League\Fractal\TransformerAbstract;
use App\Repositories\Models\Inform\Category;

/**
 * Class CategoryTransformer.
 *
 * @package namespace App\Repositories\Transformers\Inform;
 */
class CategoryTransformer extends TransformerAbstract
{
    /**
     * Transform the Category entity.
     *
     * @param \App\Repositories\Models\Inform\Category $model
     *
     * @return array
     */
    public function transform(Category $model)
    {
        $role_names = Role::query()->whereIn('id', $model->role_ids)->pluck('name')->toArray();

        if (in_array(0, $model->role_ids)) {
            $role_names[] = '全部';
        }
        return [
            'id' => (int)$model->id,
            'name' => $model->name,
            'parent_id' => $model->parent_id,
            'parent_name' => $model->parent_name,
            'role_ids' => $model->role_ids,
            'role_names' => $role_names,
            'sort' => $model->sort,
            'status' => $model->status,
            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }
}
