<?php

namespace App\Repositories\Transformers\Inform;

use Carbon\Carbon;
use League\Fractal\TransformerAbstract;
use App\Repositories\Models\Inform\Information;

/**
 * Class InformationTransformer.
 *
 * @package namespace App\Repositories\Transformers\Inform;
 */
class InformationTransformer extends TransformerAbstract
{
    /**
     * Transform the Information entity.
     *
     * @param \App\Repositories\Models\Inform\Information $model
     *
     * @return array
     */
    public function transform(Information $model)
    {
        return [
            'id' => (int)$model->id,
            'title' => $model->title,
            'category_id' => $model->category_id,
            'category_name' => $model->category ? $model->category->name : '--',
            'cover' => $model->cover,
            'cover_resource' => $model->cover_resource,
            'short_description' => $model->short_description,
            'tags' => $model->tags,
            'slug' => $model->slug,
            'body' => $model->body,
            'published_at' => $model->published_at,
            'is_message' => $model->is_message,
            'view_count' => $model->view_count,
            'good_count' => $model->good_count,
            'sort' => $model->sort,
            'status' => $model->status,
            'admin_name' => $model->admin->name,

            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }
}
