<?php

namespace App\Repositories\Validators\Base;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class AdminValidator.
 *
 * @package namespace App\Repositories\Validators\Base;
 */
class AdminValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'username' => 'required|min:6',
            'name' => 'required',
            'password' => 'required|confirmed',
            'headimg' => 'nullable',
            'department_id' => 'required',
            'status' => 'required',
            'role_id' => 'required',
        ],
        ValidatorInterface::RULE_UPDATE => [
            'username' => 'required|min:6',
            'name' => 'required',
            'password' => 'sometimes|confirmed',
            'headimg' => 'nullable',
            'department_id' => 'required',
            'status' => 'required',
            'role_id' => 'required',
        ],
    ];
}
