<?php

namespace App\Repositories\Validators\Base;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class BannerValidator.
 *
 * @package namespace App\Repositories\Validators\Base;
 */
class BannerValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'name' => 'required',
            'position' => 'required',
            'click_type' => 'required|integer',
            'click_body' => 'nullable|array',
            'start_time' => 'nullable',
            'end_time' => 'required',
            'cover' => 'required|integer',
            'sort' => 'required|integer',
            'status' => 'required|integer',
        ],
        ValidatorInterface::RULE_UPDATE => [
            'name' => 'required',
            'position' => 'required',
            'click_type' => 'required|integer',
            'click_body' => 'nullable|array',
            'start_time' => 'nullable',
            'end_time' => 'required',
            'cover' => 'required|integer',
            'sort' => 'required|integer',
            'status' => 'required|integer',
        ],
    ];
}
