<?php

namespace App\Repositories\Validators\CMS;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class ArticleValidator.
 *
 * @package namespace App\Repositories\Validators\CMS;
 */
class ArticleValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'title' => 'required',
            'category_id' => 'required',
            'cover' => 'sometimes',
            'short_description' => 'sometimes',
            'tags' => 'sometimes',
            'body' => 'required',
            'published_at' => 'nullable|sometimes|date',
            'sort' => 'required',
            'status' => 'required',
        ],
        ValidatorInterface::RULE_UPDATE => [
            'title' => 'required',
            'category_id' => 'required',
            'cover' => 'sometimes',
            'short_description' => 'sometimes',
            'tags' => 'sometimes',
            'body' => 'required',
            'published_at' => 'nullable|sometimes|date',
            'sort' => 'required',
            'status' => 'required',
        ],
    ];
}
