<?php

namespace App\Repositories\Validators\TCM;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class MedicalRecordValidator.
 *
 * @package namespace App\Repositories\Validators\TCM;
 */
class MedicalRecordValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'is_once' => 'required|integer',
            'chief_complaint' => 'required',
            'history_of_present_illness' => 'sometimes',
            'pulse_desc' => 'sometimes',
            'tongue_desc' => 'sometimes',
            'common_sign' => 'sometimes',
            'chinese_tra_diagnosis' => 'required',
            'treatment_method' => 'sometimes',
            'assist_examination' => 'sometimes',
            'past_history' => 'sometimes',
            'allergies_history' => 'sometimes',
            'doctor_advice' => 'sometimes',
            'temperature' => 'sometimes',
            'blood_pressure_max' => 'sometimes',
            'blood_pressure_min' => 'sometimes',
            'heart_rate' => 'sometimes',
            'breath_rate' => 'sometimes',
            'height' => 'sometimes',
            'weight' => 'sometimes',
            'bmi' => 'sometimes',
            'blood_sugar' => 'sometimes',
            'blood_oxygen' => 'sometimes',
            'other_physical_examination' => 'sometimes',
            'up_tonguebase_img' => 'sometimes|array',
            'patient_id' => 'required|integer',
            'hospital' => 'sometimes',
            'department' => 'required|integer',
            'doctor' => 'sometimes',
            'status' => 'required|integer',
        ],
        ValidatorInterface::RULE_UPDATE => [
            'is_once' => 'required|integer',
            'chief_complaint' => 'required',
            'history_of_present_illness' => 'sometimes',
            'pulse_desc' => 'sometimes',
            'tongue_desc' => 'sometimes',
            'common_sign' => 'sometimes',
            'chinese_tra_diagnosis' => 'required',
            'treatment_method' => 'sometimes',
            'assist_examination' => 'sometimes',
            'past_history' => 'sometimes',
            'allergies_history' => 'sometimes',
            'doctor_advice' => 'sometimes',
            'temperature' => 'sometimes',
            'blood_pressure_max' => 'sometimes',
            'blood_pressure_min' => 'sometimes',
            'heart_rate' => 'sometimes',
            'breath_rate' => 'sometimes',
            'height' => 'sometimes',
            'weight' => 'sometimes',
            'bmi' => 'sometimes',
            'blood_sugar' => 'sometimes',
            'blood_oxygen' => 'sometimes',
            'other_physical_examination' => 'sometimes',
            'up_tonguebase_img' => 'sometimes',
            'patient_id' => 'required|integer',
            'hospital' => 'sometimes',
            'department' => 'required|integer',
            'doctor' => 'sometimes',
            'status' => 'required|integer',
        ],
    ];
}
