<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUserVideoWatchRecordsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_video_watch_records', function (Blueprint $table) {
            $table->id();

            $table->integer('user_id');
            $table->integer('course_id');
            $table->integer('video_id');
            $table->integer('watch_seconds')->default(0)->comment('已观看秒数');
            $table->timestamp('watched_at')->nullable(true)->default(null);
            $table->tinyInteger('is_watched')->default(0)->comment('看完,0否,1是');

            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_video_watch_records');
    }
}
